"""Constants used in DBNet bus integration."""

# configuration names
CONF_STATION_CONFIG = 'station_config'
CONF_CLIENT_ADDR = 'client_addr'
CONF_EXPIRATION = 'expiration'

CONF_HUB = 'hub'
CONF_HIDDEN = 'hidden'
CONF_REGISTER = 'register'
CONF_ITEMS = 'items'

CONF_STATE_OFF = 'state_off'
CONF_STATE_ON = 'state_on'
CONF_STATE_STRICT = 'state_strict'
STATE_ALL = 'all'
CONF_SCALE = 'scale'
CONF_OFFSET = 'offset'
CONF_PRECISION = 'precision'
CONF_VERIFY_STATE = 'verify_state'

CONF_CURRENT_TEMP_REGISTER = 'current_temp_register'
CONF_TARGET_TEMP_REGISTER = 'target_temp_register'
CONF_COOLING_REGISTER = 'cooling_register'
CONF_HEATING_REGISTER = 'heating_register'
CONF_HVAC_MODE_REGISTER = 'hvac_mode_register'
CONF_HVAC_MODES = 'hvac_modes'
CONF_PRESET_MODE_REGISTER = 'preset_mode_register'
CONF_PRESET_MODES = 'preset_modes'
CONF_READ_ONLY = 'read_only'
CONF_UNIT = 'temp_unit'
CONF_MAX_TEMP = 'max_temp'
CONF_MIN_TEMP = 'min_temp'
CONF_STEP = 'temp_step'


DBNET_DOMAIN = 'dbnetbus'
DEFAULT_HUB = 'default'

ATTR_STATION = "station"
ATTR_REGISTER = "register"
ATTR_HUB = "hub"
ATTR_VALUE = "value"
SERVICE_WRITE_REGISTER = "write_register"
SERVICE_WRITE_TIME = "write_time"

PROP_OPTIONAL = 0
PROP_REQUIRED = 1
PROP_PLATFORM_ONLY = 2
PROP_ITEM_ONLY = 4
